"use client";

import Link from "next/link";
import { useState } from "react";

const Navbar = () => {
  const [isOpen, setIsOpen] = useState(false);

  return (
    <nav className="navbar navbar-expand-lg">
      <div className="container">
        <Link className="navbar-brand" href="/">
        <div className="d-flex flex-column align-items-start">
    <div className="d-flex align-items-center">
        <img 
    src="/images/Logo.png"  // Replace with your logo's path
    alt="Tammeir Logo" 
    style={{ height: '40px', width: 'auto', marginRight: '10px',  color: '#fff', fontStyle: 'italic',
        fontSize: '12px' }} 
  />
          <span style={{ color: '#fff', }}>Tammeir</span>
          </div>
   
  </div>
        </Link>

        <div className="d-lg-none ms-auto me-4">
          <Link href="/" className="navbar-icon bi-person smoothscroll"></Link>
        </div>

        <button
          className="navbar-toggler"
          type="button"
          onClick={() => setIsOpen(!isOpen)}
          aria-controls="navbarNav"
          aria-expanded={isOpen}
          aria-label="Toggle navigation"
        >
          <span className="navbar-toggler-icon"></span>
        </button>

        <div className={`collapse navbar-collapse ${isOpen ? "show" : ""}`} id="navbarNav">
          <ul className="navbar-nav ms-lg-5 me-lg-auto">
            <li className="nav-item">
           

            <Link className="nav-link click-scroll" href="/">
            Home
            </Link>

            </li>
            <li className="nav-item">
              <Link className="nav-link click-scroll" href="#section_2">
                Browse Topics
              </Link>
            </li>
            <li className="nav-item">
              <Link className="nav-link click-scroll" href="#section_3">
                How it works
              </Link>
            </li>
            <li className="nav-item">
              <Link className="nav-link click-scroll" href="#section_4">
                FAQs
              </Link>
            </li>
            <li className="nav-item">
              <Link className="nav-link click-scroll" href="#section_5">
                Contact
              </Link>
            </li>
            <li className="nav-item dropdown">
              <a
                className="nav-link dropdown-toggle"
                href="#"
                role="button"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                Pages
              </a>
              <ul className="dropdown-menu dropdown-menu-light">
                <li>
                  <Link className="dropdown-item" href="/about">

                    About
                  </Link>
                </li>
                <li>

                    {/* <Link className="dropdown-item"  passHref> */}
                    <a className="dropdown-item" target="_blank" href="https://group.tammeir.com/" rel="noopener noreferrer">Our Site</a>
                    {/* </Link> */}

                </li>
              </ul>
            </li>
          </ul>

          <div className="d-none d-lg-block">
            <Link href="/" className="navbar-icon bi-person smoothscroll"></Link>
          </div>
        </div>
      </div>
    </nav>
  );
};

export default Navbar;
